# Class ECSComblockSystem<E>`Abstract`

继承此类实现具体业务逻辑的系统

#### Type Parameters

- #### E extends ECSEntity = ECSEntity

#### Hierarchy

- ECSComblockSystem

- Defined in assets/libs/ecs/ECSSystem.ts:7

#####
Index

### Constructors

constructor

### Properties

dt
enteredEntities
execute
group
hasEntityEnter
hasEntityRemove
hasUpdate
removedEntities
tmpExecute
s

### Methods

execute0
execute1
filter
hasEntity
init
onDestroy
updateOnce

## Constructors

### constructor

- new ECSComblockSystem<E>(): ECSComblockSystem <E>

- 构造函数

  #### Type Parameters

  - #### E extends ECSEntity <E> = ECSEntity

  #### Returns ECSComblockSystem <E>

  - Defined in assets/libs/ecs/ECSSystem.ts:24

## Properties

### `Protected` dt

dt: number = 0

- Defined in assets/libs/ecs/ECSSystem.ts:11

### `Private` enteredEntities

enteredEntities: Map<number, E> = ...

- Defined in assets/libs/ecs/ECSSystem.ts:13

### `Private` execute

execute: ((dt: number) => void)

#### Type declaration

- - (dt: number): void

  - #### Parameters

    - ##### dt: number

    #### Returns void

- Defined in assets/libs/ecs/ECSSystem.ts:21

### `Protected` group

group: ECSGroup<E>

- Defined in assets/libs/ecs/ECSSystem.ts:10

### `Private` hasEntityEnter

hasEntityEnter: boolean = false

- Defined in assets/libs/ecs/ECSSystem.ts:16

### `Private` hasEntityRemove

hasEntityRemove: boolean = false

- Defined in assets/libs/ecs/ECSSystem.ts:17

### `Private` hasUpdate

hasUpdate: boolean = false

- Defined in assets/libs/ecs/ECSSystem.ts:18

### `Private` removedEntities

removedEntities: Map<number, E> = ...

- Defined in assets/libs/ecs/ECSSystem.ts:14

### `Private` tmpExecute

tmpExecute: null | ((dt: number) => void) = null

- Defined in assets/libs/ecs/ECSSystem.ts:20

### `Static` s

s: boolean = true

- Defined in assets/libs/ecs/ECSSystem.ts:8

## Methods

### `Private` execute0

- execute0(dt: number): void

- 只执行update

  ### Returns

  #### Parameters

  - ##### dt: number

  #### Returns void

  - Defined in assets/libs/ecs/ECSSystem.ts:106

### `Private` execute1

- execute1(dt: number): void

- 先执行entityRemove，再执行entityEnter，最后执行update

  ### Returns

  #### Parameters

  - ##### dt: number

  #### Returns void

  - Defined in assets/libs/ecs/ECSSystem.ts:124

### `Abstract` filter

- filter(): IMatcher

- 实体过滤规则

  根据提供的组件过滤实体。

  #### Returns IMatcher

  - Defined in assets/libs/ecs/ECSSystem.ts:163

### hasEntity

- hasEntity(): boolean

- 是否存在实体

  #### Returns boolean

  - Defined in assets/libs/ecs/ECSSystem.ts:66

### init

- init(): void

- 系统实始化

  #### Returns void

  - Defined in assets/libs/ecs/ECSSystem.ts:56

### onDestroy

- onDestroy(): void

- 系统释放事件

  #### Returns void

  - Defined in assets/libs/ecs/ECSSystem.ts:61

### `Private` updateOnce

- updateOnce(dt: number): void

- 先执行entityEnter，最后执行firstUpdate

  ### Returns

  #### Parameters

  - ##### dt: number

  #### Returns void

  - Defined in assets/libs/ecs/ECSSystem.ts:75

Generated using TypeDoc